#! /usr/bin/perl -w

# Luis Lopez


use File::Find;
use Tie::File;

# get the replacement expression ( s/oldstring/newstring/g )
$replacement = $ARGV[0]; 
$replacement = 's' . $replacement;

find(\&wanted, $ARGV[1]);   # Find files inside the specified directory recusively

sub wanted {
   if (-T) {   # Want only text files
      tie (@array, 'Tie::File', $_, autochomp=>0) or die "could not open $_\n";   # tie the file to an array
      foreach $_(@array) {
         eval $replacement;  # evaluate the replacement expression on each line of the file
      }
      untie @array;
   }
}
